*****************************************************************************
********** PAPER: MEDIA, VIOLENCE AND POLITICAL ATTITUDES SWITZERLAND *******
*****************************************************************************
					
clear all
cap clear matrix
set more off
set mem 4g
set matsize 1000
set maxvar 32767

/*	
	OUTLINE
	1. PATH BY USER - NEEDS TO BE CHANGED
	2. GLOBAL MACROS
*/

*************************************************
***** 1. PATH BY USER - NEEDS TO BE CHANGED *****
*************************************************

* Directory where the data is located

global ini "" 	// Folder

****************************
***** 2. GLOBAL MACROS *****
****************************

// Data location

global Data			"$ini\Data" 

// Log files folder

global Log_files	"$ini\Log"

// Results folder

global Results		"$ini\Results"

// Do-files folder

global Do_files		"$ini\Do"

// Set date

global today 		"d(`c(current_date)')"

***********************
***** 3. Do FILES *****
***********************

/*
// Manuscript tables and figures

do $Do_files\Main_Figure1
do $Do_files\Main_Figure2
do $Do_files\Main_Table1
do $Do_files\Main_Table2
do $Do_files\Main_Table3
*/
