***** RUN DO_MASTER.do ***** do "$Do\DO_MASTER.do"

global program "OA_FigureB24"
cap log close
cap log using "$Log\log_$program$today", replace
eststo clear

**** REPLICATION OF FIGURE B.2.4 ****

clear all
set mem 2g
set more off

// Import data

use $Data\data_crime_news, clear

// Controls vectors

global newspapers	"MinuteFR Matin TagesAnz Heures MinuteGE NZZ Tribune StGaller Letemps MatinS Sonntags NZZS"
global i_controls	 "age age2 i.sex_cd_p relation_* i.recidive_p pk_article_cd111 pk_article_cd112 pk_article_cd113 pk_article_cd116 pk_article_cd117 pk_article_cd137 pk_article_cd187" //

// Regression

reg coverage_nat readershare	Ddist_min  $newspapers $i_controls i.pk_wy i.pk_dow i.pk_commune i.newspaper,  cluster(pk_case) nocons

// Figure

coefplot, keep($newspapers) ///
	xlabel(-0.02 "-0.02" 0 `" "0" "(Unbiased)""' 0.022 `" "0.022" "(Average)""' 0.04 "0.04" 0.06 "0.06" 0.08 "0.08", labsize(small)) ylabel(, angle(0) labsize(vsmall)) ///
	horizontal fcolor(*.5) ciopts(recast(rcap)) citop format(%9.3f) sort(,descending) /// 
	levels(90) xline(0,  lcolor(maroon)) xtitle("", margin(small)) /// 
	mlabel mlabposition(12) mlabcolor(navy) mlabgap(*2) ///
	xline(0.022, lpattern(dash) lcolor(maroon)) ///
	coeflabels(MinuteGE = "20 Minuten D-CH" ///
	   MinuteFR = "20 Minutes F-CH" ///
	   Heures   = "24 Heures" ///
	   MatinS   = "Matin dimanche, Le*" ///
	   Matin    = "Matin, Le (lu - sa)" ///
	   NZZS     = "NZZ am Sonntag*" ///
	   NZZ      = "Neue Zuercher Zeitung" ///
	   Sonntags = "SonntagsZeitung*" ///
	   StGaller = "St. Galler Tagblatt" ///
	   TagesAnz = "Tages-Anzeiger" ///
	   Letemps  = "Temps, Le" ///
	   Tribune  = "Tribune de Geneve", notick labsize(small)) ///
	legend(lab(1 "Estimated coefficient") lab(2 "Confidence Interval (90%)") order(1 2) region(color(white)) symxsize(*0.5) size(vsmall)) bgcolor(white) graphregion(color(white)) // name(sr, replace) 
graph export "$Results//$program.pdf", as(pdf) replace  

cap log close
